module Minitest
  class NagaReporter < Minitest::StatisticsReporter
    def report
      super
      return unless options[:naga]
      puts "=" *80
      puts "Naga"
      naga_api = NagaApiClient.new
      detector = Detector.new(naga_api.credentials)
      puts "=" *80
      detector.my_first_time
      detector.dressed_like_a_bat(count)
      detector.a_trip_to_the_whizz_palace(total_time)
      detector.papyrus(count, failures, errors)
      detector.cant_catch_em_all(count, failures)
      detector.why_do_we_fall(count, failures)
      Game.new(naga_api.credentials, detector)
      puts "=" *80
    end
  end
end
