# bundle exec ruby -I lib:test helpers/test_helper.rb
# bundle exec ruby -I lib:test helpers/test_helper.rb --naga
require 'minitest/autorun'

class Meme
  def i_can_has_cheezburger?
    "OHAI!"
  end

  def such_wow
    "such wow"
  end

  def will_it_blend?
    "YES!"
  end
end

class TestMeme < Minitest::Test
  def setup
    @meme = Meme.new
  end

  def test_that_kitty_can_eat
    assert_equal "OHAI!", @meme.i_can_has_cheezburger?
  end

  def test_that_cate_can_eat
    assert_equal "OHAI!", @meme.i_can_has_cheezburger?
  end

  def test_that_doggo_can_eat
    assert_equal "OHAI!", @meme.i_can_has_cheezburger?
  end

  def test_that_doge_can_eat
    assert_equal "OHAI!", @meme.i_can_has_cheezburger?
  end

  def test_that_it_will_blend
    assert_equal "YES!", @meme.will_it_blend?
  end

  def test_that_it_will_not_blend
    refute_match /^no/i, @meme.will_it_blend?
  end

  def test_such_wow
    assert_equal "such wow", @meme.such_wow
  end

  def test_that_will_be_skipped
    skip "test this later"
  end
end
